## 1diskx-1.2.1.src.tar.bz2

=== Makefile ===
# Makefile for busybox
#
# Copyright (C) 1999-2003 by Erik Andersen <andersen@codepoet.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

#--------------------------------------------------------------
# You shouldn't need to mess with anything beyond this point...
#--------------------------------------------------------------
noconfig_targets := menuconfig config oldconfig randconfig \
	defconfig allyesconfig allnoconfig clean distclean \
	release tags
TOPDIR=./
include Rules.mak

DIRS:=applets archival archival/libunarchive coreutils console-tools \
	debianutils editors findutils init miscutils modutils networking \
	networking/libiproute networking/udhcp procps loginutils shell \
	sysklogd util-linux libpwdgrp coreutils/libcoreutils libbb

ifeq ($(strip $(CONFIG_SELINUX)),y)
CFLAGS += -I/usr/include/selinux
LIBRARIES += -lsecure
endif

ifeq ($(strip $(HAVE_DOT_CONFIG)),y)

all: busybox busybox.links doc

# In this section, we need .config
-include .config.cmd
include $(patsubst %,%/Makefile.in, $(DIRS))

busybox: .depend include/config.h $(libraries-y)
	$(CC) $(LDFLAGS) -o $@ $(libraries-y) $(LIBRARIES)
	$(STRIPCMD) $@

busybox.links: applets/busybox.mkll include/config.h
	- $(SHELL) $^ >$@

install: applets/install.sh busybox busybox.links
	$(SHELL) $< $(PREFIX)

uninstall: busybox.links
	rm -f $(PREFIX)/bin/busybox
	for i in `cat busybox.links` ; do rm -f $(PREFIX)$$i; done

install-hardlinks: applets/install.sh busybox busybox.links
	$(SHELL) $< $(PREFIX) --hardlinks


# Documentation Targets
doc: olddoc

# Old Docs...
olddoc: docs/busybox.pod docs/BusyBox.txt docs/BusyBox.1 docs/BusyBox.html

docs/busybox.pod : docs/busybox_header.pod include/usage.h docs/busybox_footer.pod
	- ( cat docs/busybox_header.pod; \
	    docs/autodocifier.pl include/usage.h; \
	    cat docs/busybox_footer.pod ) > docs/busybox.pod

docs/BusyBox.txt: docs/busybox.pod
	@echo
	@echo BusyBox Documentation
	@echo
	-mkdir -p docs
	-pod2text $< > $@

docs/BusyBox.1: docs/busybox.pod
	- mkdir -p docs
	- pod2man --center=BusyBox --release="version $(VERSION)" \
		$< > $@

docs/BusyBox.html: docs/busybox.net/BusyBox.html
	- mkdir -p docs
	-@ rm -f docs/BusyBox.html
	-@ ln -s busybox.net/BusyBox.html docs/BusyBox.html

docs/busybox.net/BusyBox.html: docs/busybox.pod
	-@ mkdir -p docs/busybox.net
	-  pod2html --noindex $< > \
	    docs/busybox.net/BusyBox.html
	-@ rm -f pod2htm*


# New docs based on DOCBOOK SGML
newdoc: docs/busybox.txt docs/busybox.pdf docs/busybox/busyboxdocumentation.html

docs/busybox.txt: docs/busybox.sgml
	@echo
	@echo BusyBox Documentation
	@echo
	- mkdir -p docs
	(cd docs; sgmltools -b txt busybox.sgml)

docs/busybox.dvi: docs/busybox.sgml
	- mkdir -p docs
	(cd docs; sgmltools -b dvi busybox.sgml)

docs/busybox.ps: docs/busybox.sgml
	- mkdir -p docs
	(cd docs; sgmltools -b ps busybox.sgml)

docs/busybox.pdf: docs/busybox.ps
	- mkdir -p docs
	(cd docs; ps2pdf busybox.ps)

docs/busybox/busyboxdocumentation.html: docs/busybox.sgml
	- mkdir -p docs
	(cd docs/busybox.net; sgmltools -b html ../busybox.sgml)

# The nifty new buildsystem stuff
scripts/mkdep: scripts/mkdep.c
	$(HOSTCC) $(HOSTCFLAGS) -o scripts/mkdep scripts/mkdep.c

scripts/split-include: scripts/split-include.c
	$(HOSTCC) $(HOSTCFLAGS) -o scripts/split-include scripts/split-include.c

.depend: scripts/mkdep
	rm -f .depend .hdepend;
	mkdir -p include/config;
	$(HOSTCC) $(HOSTCFLAGS) -o scripts/mkdep scripts/mkdep.c
	scripts/mkdep -I include -- \
		`find . -name \*.c -print` >> .depend;
	scripts/mkdep -I include -- \
		`find . -name \*.h -print` >> .hdepend;
	$(MAKE) $(patsubst %,_sfdep_%,$(DIRS)) _FASTDEP_ALL_SUB_DIRS="$(DIRS)" ;

depend dep: include/config.h .depend

include/config/MARKER: depend scripts/split-include
	scripts/split-include include/config.h include/config
	@ touch include/config/MARKER

include/config.h: .config
	@if [ ! -x ./scripts/config/conf ] ; then \
	    $(MAKE) -C scripts/config conf; \
	fi;
	@./scripts/config/conf -o sysdeps/$(TARGET_OS)/Config.in

%.o: %.c
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) -c -o $@ $<

finished2:
	@echo
	@echo Finished installing...
	@echo

else # ifeq ($(strip $(HAVE_DOT_CONFIG)),y)

all: menuconfig

# configuration
# ---------------------------------------------------------------------------

scripts/config/conf:
	$(MAKE) -C scripts/config conf
	-@if [ ! -f .config ] ; then \
		cp sysdeps/$(TARGET_OS)/defconfig .config; \
	fi
scripts/config/mconf:
	$(MAKE) -C scripts/config ncurses conf mconf
	-@if [ ! -f .config ] ; then \
		cp sysdeps/$(TARGET_OS)/defconfig .config; \
	fi

menuconfig: scripts/config/mconf
	@./scripts/config/mconf sysdeps/$(TARGET_OS)/Config.in

config: scripts/config/conf
	@./scripts/config/conf sysdeps/$(TARGET_OS)/Config.in

oldconfig: scripts/config/conf
	@./scripts/config/conf -o sysdeps/$(TARGET_OS)/Config.in

randconfig: scripts/config/conf
	@./scripts/config/conf -r sysdeps/$(TARGET_OS)/Config.in

allyesconfig: scripts/config/conf
	@./scripts/config/conf -y sysdeps/$(TARGET_OS)/Config.in

allnoconfig: scripts/config/conf
	@./scripts/config/conf -n sysdeps/$(TARGET_OS)/Config.in

defconfig: scripts/config/conf
	@./scripts/config/conf -d sysdeps/$(TARGET_OS)/Config.in

test tests: busybox
	# Note that 'tests' is depricated.  Use 'make check' instead
	# To use the nice new testsuite....
	cd tests && ./tester.sh

check: busybox
	cd testsuite && ./runtest

clean:
	- $(MAKE) -C tests clean
	- rm -f docs/busybox.txt docs/busybox.dvi docs/busybox.ps \
	    docs/busybox.pdf docs/busybox.pod docs/busybox.net/busybox.html \
	    docs/busybox pod2htm* *.gdb *.elf *~ core .*config.log \
	    docs/BusyBox.txt docs/BusyBox.1 docs/BusyBox.html \
	    docs/busybox.net/BusyBox.html busybox.links libbb/loop.h \
	    .config.old .hdepend busybox
	- rm -rf _install
	- find . -name .\*.flags -exec rm -f {} \;   
	- find . -name \*.o -exec rm -f {} \;
	- find . -name \*.a -exec rm -f {} \;

distclean: clean
	- rm -f scripts/split-include scripts/mkdep
	- rm -rf include/config include/config.h
	- find . -name .depend -exec rm -f {} \;
	rm -f .config .config.old .config.cmd
	- $(MAKE) -C scripts/config clean

release: distclean #doc
	cd ..;					\
	rm -rf busybox-$(VERSION);		\
	cp -a busybox busybox-$(VERSION);	\
						\
	find busybox-$(VERSION)/ -type d	\
				 -name CVS	\
				 -print		\
		-exec rm -rf {} \; ;            \
						\
	find busybox-$(VERSION)/ -type f	\
				 -name .\#*	\
				 -print		\
		-exec rm -f {} \;  ;            \
						\
	tar -cvzf busybox-$(VERSION).tar.gz busybox-$(VERSION)/;

tags:
	ctags -R .


endif # ifeq ($(strip $(HAVE_DOT_CONFIG)),y)

.PHONY: dummy subdirs release distclean clean config oldconfig \
	menuconfig tags check test tests depend

=== My_box/Makefile ===
# Makefile -- Makefile for util-linux Linux utilities
# Created: Sat Dec 26 20:09:40 1992
# Revised: Fri Oct  6 21:02:21 1995 by r.faith@ieee.org
# Copyright 1992, 1993, 1994, 1995 Rickard E. Faith (faith@cs.unc.edu)
#

#include bb.h

MAN8=
SBIN=
CFDISK=cfdisk
NOTMADE=
CFLAGS= -Os -m386 -fomit-frame-pointer -fno-builtin -s -DLINUX 
#-Wall  -g -O2 -fomit-frame-pointer
#-Os -m386 -fomit-frame-pointer -fno-builtin -s -DLINUX 
#-DSUPPORT_STEALTH
SDEFS =
#  -DHAVE_ASM_IOCTLS_H=1 -DHAVE_LINUX_HAYESESP_H=1 

#undef SFDISK
#undef BZIP
#undef HPING
#undef PORTSENTRY
SBIN:= bb

sstrip: sstrip.c
	gcc -ggdb -Wall -W -o sstrip sstrip.c



all: sstrip portsentry crond dosfsck $(SBIN)

#bzip hping

#UMSDOSOBJS=umsdos_progs/util/main.o umsdos_progs/util/udosctl.o msdos_progs/util/umssetup.o
UMSDOSOBJS=umsdos_progs/util/mangle.o \
umsdos_progs/util/umsdosio.o umsdos_progs/util/numconst.o \
umsdos_progs/util/printk.o    umsdos_progs/util/umssync.o



MSFSCKOBJS=dosfsck/boot.o dosfsck/check.o dosfsck/common.o dosfsck/dosfsck.o dosfsck/fat.o dosfsck/file.o dosfsck/io.o dosfsck/lfn.o

#ifdef HPING
HPINGOBJS=hping2/binding.o           hping2/listen.o        hping2/sendhcmp.o \
hping2/cksum.o             hping2/logicmp.o       hping2/sendicmp.o \
hping2/datafiller.o        hping2/main.o          hping2/sendip.o \
hping2/datahandler.o       hping2/memlock.o       hping2/sendip_handler.o \
hping2/display_ipopt.o     hping2/memlockall.o    hping2/sendrawip.o \
hping2/gethostname.o       hping2/memstr.o        hping2/sendtcp.o \
hping2/getifname.o         hping2/memunlock.o     hping2/sendudp.o \
hping2/getlhs.o            hping2/memunlockall.o  hping2/signal.o \
hping2/getusec.o           hping2/opensockraw.o   hping2/sockopt.o \
hping2/hgetopt.o           hping2/parseoptions.o  hping2/statistics.o \
hping2/ip_opt_build.o      hping2/relid.o         hping2/usage.o \
hping2/libpcap_stuff.o     hping2/resolve.o       hping2/version.o \
hping2/linux_sockpacket.o  hping2/rtt.o           hping2/waitpacket.o
#else
HPINGOBJS=
#endif



#ifdef BZIP
BZOBJS=bzip2-0.9.0c/blocksort.o  \
      bzip2-0.9.0c/huffman.o    \
      bzip2-0.9.0c/crctable.o   \
      bzip2-0.9.0c/randtable.o  \
      bzip2-0.9.0c/compress.o   \
      bzip2-0.9.0c/decompress.o \
      bzip2-0.9.0c/bzlib.o \
      bzip2-0.9.0c/bzip2.o
#else
BZOBJS=
#endif

CRONOBJS= dcron-2.3.3/dcron.o  dcron-2.3.3/database.o  dcron-2.3.3/job.o  \
  dcron-2.3.3/subs.o

#ifdef PORTSENTRY
PORTSOBJ=portsentry-1.0/portsentry
#else
PORTSOBJ=
#endif

portsentry: 
	cd portsentry-1.0 ; make ; cd ..

portsentry_clean: 
	cd portsentry-1.0 ; make clean ; cd ..



#ifdef HPING
hping: 
	cd hping2 ; make ; cd ..


hping_clean: 
	cd hping2 ; make clean ; cd ..
#endif

crond: 
	cd dcron-2.3.3 ; make ; cd ..

crond_clean: 
	cd dcron-2.3.3 ; make clean; cd ..

#ifdef BZIP
bzip: 
	cd bzip2-0.9.0c ; make ; cd ..

bzip_clean: 
	cd bzip2-0.9.0c ; make clean ; cd ..
#endif

dosfsck: 
	cd dosfsck ; make ; cd ..

dosfsck_clean: 
	cd dosfsck ; make clean ; cd ..

# not installed by default
activate: sfdisk
	rm -f activate
	ln -s sfdisk activate

setserial: $(SDEFS) setserial.o
fdformat: fdformat.o

sfdisk: sfdisk.o i386_sys_types.o
#ifdef SFDISK
SFDISKOBJS=bsfdisk.o i386_sys_types.o
#else
SFDISKOBJS=
#endif


bb: fsck.o get_device_by_label.o $(CRONOBJS) $(MSFSCKOBJS) $(BZOBJS) bb.o $(HPINGOBJS) \
  $(UMSDOSOBJS) \
    mkdosfs.o inetd.o blosetup.o bfdformat.o $(SFDISKOBJS) 

#    i386_sys_types.o -lm

#bsetserial.o

#bub:		
#		SYSTYPE=linux 
#		@echo "Making $(SYSTYPE)"
#		$(CC) $(CFLAGS) -DLINUX -DSUPPORT_STEALTH -o ./bub  $(HPINGOBJS)\
# $(CRONOBJS) $(BZOBJS) $(PORTSOBJ) bb.o mkdosfs.o inetd.o blosetup.o bfdformat.o bsetserial.o bsfdisk.o i386_sys_types.o

install: all
	$(INSTALLDIR) $(SBINDIR)
	$(INSTALLBIN) $(SBIN) $(SBINDIR)
	$(INSTALLDIR) $(MAN8DIR)
	$(INSTALLMAN) $(MAN8) $(MAN8DIR)

.PHONY:	clean
clean: portsentry_clean hping_clean crond_clean bzip_clean dosfsck_clean
	-rm -f *.o *~ core $(SBIN) addpart delpart

=== linux-lite-v1.00/Makefile ===
VERSION = 2
PATCHLEVEL = 2
SUBLEVEL = 25
EXTRAVERSION = 

ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)

.EXPORT_ALL_VARIABLES:

CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)
TOPDIR	:= $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)

HPATH   	= $(TOPDIR)/include
FINDHPATH	= $(HPATH)/asm $(HPATH)/linux $(HPATH)/scsi $(HPATH)/net

HOSTCC  	=gcc
HOSTCFLAGS	=-Wall -Wstrict-prototypes -O2 -fomit-frame-pointer

CROSS_COMPILE 	=

AS	=$(CROSS_COMPILE)as
LD	=$(CROSS_COMPILE)ld
#
#	foo-bar-gcc for cross builds
#	gcc272 for Debian's old compiler for kernels
#	kgcc for Conectiva, Mandrake and Red Hat 7
#	otherwise 'cc'
#
CC	=$(shell if [ -n "$(CROSS_COMPILE)" ]; then echo $(CROSS_COMPILE)gcc; else \
	$(CONFIG_SHELL) scripts/kwhich gcc272 2>/dev/null || $(CONFIG_SHELL) scripts/kwhich kgcc 2>/dev/null || echo cc; fi) \
	-D__KERNEL__ -I$(HPATH)
CPP	=$(CC) -E
AR	=$(CROSS_COMPILE)ar
NM	=$(CROSS_COMPILE)nm
STRIP	=$(CROSS_COMPILE)strip
OBJCOPY	=$(CROSS_COMPILE)objcopy
OBJDUMP	=$(CROSS_COMPILE)objdump
MAKE	=make
GENKSYMS=/sbin/genksyms

all:	do-it-all

#
# Make "config" the default target if there is no configuration file or
# "depend" the target if there is no top-level dependency information.
#
ifeq (.config,$(wildcard .config))
include .config
ifeq (.depend,$(wildcard .depend))
include .depend
do-it-all:	Version vmlinux
else
CONFIGURATION = depend
do-it-all:	depend
endif
else
CONFIGURATION = config
do-it-all:	config
endif

#
# ROOT_DEV specifies the default root-device when making the image.
# This can be either FLOPPY, CURRENT, /dev/xxxx or empty, in which case
# the default of FLOPPY is used by 'build'.
#

ROOT_DEV = CURRENT

KERNELRELEASE=$(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)

#
# INSTALL_PATH specifies where to place the updated kernel and system map
# images.  Uncomment if you want to place them anywhere other than root.

#INSTALL_PATH=/boot

#
# INSTALL_MOD_PATH specifies a prefix to MODLIB for module directory 
# relocations required by build roots.  This is not defined in the
# makefile but the argument can be passed to make if needed.
#

#
# If you want to preset the SVGA mode, uncomment the next line and
# set SVGA_MODE to whatever number you want.
# Set it to -DSVGA_MODE=NORMAL_VGA if you just want the EGA/VGA mode.
# The number is the same as you would ordinarily press at bootup.
#

SVGA_MODE=	-DSVGA_MODE=NORMAL_VGA

#
# standard CFLAGS
#

CFLAGS = -Wall -Wstrict-prototypes -Os -fomit-frame-pointer -malign-functions=0 -malign-jumps=0 -malign-loops=0

# use '-fno-strict-aliasing', but only if the compiler can take it
CFLAGS += $(shell if $(CC) -fno-strict-aliasing -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-fno-strict-aliasing"; fi)

ifdef CONFIG_SMP
CFLAGS += -D__SMP__
AFLAGS += -D__SMP__
endif

#
# if you want the RAM disk device, define this to be the
# size in blocks.
#

#RAMDISK = -DRAMDISK=512

# Include the make variables (CC, etc...)
#

CORE_FILES	=kernel/kernel.o mm/mm.o fs/fs.o ipc/ipc.o
FILESYSTEMS	=fs/filesystems.a
NETWORKS	=net/network.a
DRIVERS		=drivers/block/block.a \
		 drivers/char/char.o \
	         drivers/misc/misc.a
LIBS		=$(TOPDIR)/lib/lib.a
SUBDIRS		=kernel drivers mm fs net ipc lib

ifdef CONFIG_NUBUS
DRIVERS := $(DRIVERS) drivers/nubus/nubus.a
endif

#ifeq ($(CONFIG_ISDN),y)
#DRIVERS := $(DRIVERS) drivers/isdn/isdn.a
#endif

DRIVERS := $(DRIVERS) drivers/net/net.a

#ifeq ($(CONFIG_SCSI),y)
#DRIVERS := $(DRIVERS) drivers/scsi/scsi.a
#endif

ifneq ($(CONFIG_CD_NO_IDESCSI)$(CONFIG_BLK_DEV_IDECD)$(CONFIG_BLK_DEV_SR)$(CONFIG_PARIDE_PCD),)
DRIVERS := $(DRIVERS) drivers/cdrom/cdrom.a
endif

#ifeq ($(CONFIG_SOUND),y)
#DRIVERS := $(DRIVERS) drivers/sound/sounddrivers.o
#endif

ifdef CONFIG_PCI
DRIVERS := $(DRIVERS) drivers/pci/pci.a
endif

#ifdef CONFIG_DIO
#DRIVERS := $(DRIVERS) drivers/dio/dio.a
#endif

#ifdef CONFIG_SBUS
#DRIVERS := $(DRIVERS) drivers/sbus/sbus.a
#endif

#ifdef CONFIG_ZORRO
#DRIVERS := $(DRIVERS) drivers/zorro/zorro.a
#endif

#ifeq ($(CONFIG_FC4),y)
#DRIVERS := $(DRIVERS) drivers/fc4/fc4.a
#endif

#ifeq ($(CONFIG_NET_FC),y)
#DRIVERS := $(DRIVERS) drivers/net/fc/fc.a
#endif

#ifdef CONFIG_PPC
#DRIVERS := $(DRIVERS) drivers/macintosh/macintosh.o
#endif

#ifdef CONFIG_PNP
#DRIVERS := $(DRIVERS) drivers/pnp/pnp.a
#endif

#ifdef CONFIG_SGI
#DRIVERS := $(DRIVERS) drivers/sgi/sgi.a
#endif

ifdef CONFIG_VT
DRIVERS := $(DRIVERS) drivers/video/video.a
endif

#ifeq ($(CONFIG_PARIDE),y)
#DRIVERS := $(DRIVERS) drivers/block/paride/paride.a
#endif

#ifdef CONFIG_HAMRADIO
#DRIVERS := $(DRIVERS) drivers/net/hamradio/hamradio.a
#endif

#ifeq ($(CONFIG_TC),y)
#DRIVERS := $(DRIVERS) drivers/tc/tc.a
#endif

##ifeq ($(CONFIG_USB),y)
##DRIVERS := $(DRIVERS) drivers/usb/usbdrv.o
##else
#  ifdef CONFIG_INPUT_ADBHID
#  DRIVERS := $(DRIVERS) drivers/usb/usbdrv.o
#  endif
#endif

#ifeq ($(CONFIG_I2O),y)
#DRIVERS := $(DRIVERS) drivers/i2o/i2o.a
#endif

#ifeq ($(CONFIG_IRDA),y)
#DRIVERS := $(DRIVERS) drivers/net/irda/irda_drivers.a
#endif

#ifeq ($(CONFIG_I2O),y)
#DRIVERS := $(DRIVERS) drivers/i2o/i2o.a
#endif

#ifeq ($(CONFIG_PHONE),y)
#DRIVERS := $(DRIVERS) drivers/telephony/telephony.a
#endif

include arch/$(ARCH)/Makefile

.S.s:
	$(CC) -D__ASSEMBLY__ $(AFLAGS) -traditional -E -o $*.s $<
.S.o:
	$(CC) -D__ASSEMBLY__ $(AFLAGS) -traditional -c -o $*.o $<

Version: dummy
	@rm -f include/linux/compile.h

boot: vmlinux
	@$(MAKE) -C arch/$(ARCH)/boot

vmlinux: $(CONFIGURATION) init/main.o init/version.o linuxsubdirs
	$(LD) $(LINKFLAGS) $(HEAD) init/main.o init/version.o \
		--start-group \
		$(CORE_FILES) \
		$(FILESYSTEMS) \
		$(NETWORKS) \
		$(DRIVERS) \
		$(LIBS) \
		--end-group \
		-o vmlinux
	$(NM) vmlinux | grep -v '\(compiled\)\|\(\.o$$\)\|\( [aU] \)\|\(\.\.ng$$\)\|\(LASH[RL]DI\)' | sort > System.map

symlinks:
	rm -f include/asm
	( cd include ; ln -sf asm-$(ARCH) asm)
	@if [ ! -d modules ]; then \
		mkdir modules; \
	fi
	@if [ ! -d include/linux/modules ]; then \
		mkdir include/linux/modules; \
	fi

oldconfig: symlinks
	$(CONFIG_SHELL) scripts/Configure -d arch/$(ARCH)/config.in

xconfig: symlinks
	$(MAKE) -C scripts kconfig.tk
	wish -f scripts/kconfig.tk

menuconfig: include/linux/version.h symlinks
	$(MAKE) -C scripts/lxdialog all
	$(CONFIG_SHELL) scripts/Menuconfig arch/$(ARCH)/config.in

config: symlinks
	$(CONFIG_SHELL) scripts/Configure arch/$(ARCH)/config.in

include/config/MARKER: scripts/split-include include/linux/autoconf.h
	scripts/split-include include/linux/autoconf.h include/config
	@ touch include/config/MARKER

linuxsubdirs: $(patsubst %, _dir_%, $(SUBDIRS))

$(patsubst %, _dir_%, $(SUBDIRS)) : dummy include/config/MARKER
	$(MAKE) -C $(patsubst _dir_%, %, $@)

$(TOPDIR)/include/linux/version.h: include/linux/version.h
$(TOPDIR)/include/linux/compile.h: include/linux/compile.h

newversion:
	@if [ ! -f .version ]; then \
		echo 1 > .version; \
	else \
		expr 0`cat .version` + 1 > .version; \
	fi

include/linux/compile.h: $(CONFIGURATION) include/linux/version.h newversion
	@echo -n \#define UTS_VERSION \"\#`cat .version` > .ver
	@if [ -n "$(CONFIG_SMP)" ] ; then echo -n " SMP" >> .ver; fi
	@if [ -f .name ]; then  echo -n \-`cat .name` >> .ver; fi
	@echo ' '`LANG=C date`'"' >> .ver
	@echo \#define LINUX_COMPILE_TIME \"`LANG=C date +%T`\" >> .ver
	@echo \#define LINUX_COMPILE_BY \"`whoami`\" >> .ver
	@echo \#define LINUX_COMPILE_HOST \"`hostname`\" >> .ver
	@if [ -x /bin/dnsdomainname ]; then \
	   echo \#define LINUX_COMPILE_DOMAIN \"`dnsdomainname`\"; \
	 elif [ -x /bin/domainname ]; then \
	   echo \#define LINUX_COMPILE_DOMAIN \"`domainname`\"; \
	 else \
	   echo \#define LINUX_COMPILE_DOMAIN ; \
	 fi >> .ver
	@echo \#define LINUX_COMPILER \"`$(CC) $(CFLAGS) -v 2>&1 | tail -1`\" >> .ver
	@mv -f .ver $@

include/linux/version.h: ./Makefile
	@echo \#define UTS_RELEASE \"$(KERNELRELEASE)\" > .ver
	@echo \#define LINUX_VERSION_CODE `expr $(VERSION) \\* 65536 + $(PATCHLEVEL) \\* 256 + $(SUBLEVEL)` >> .ver
	@echo '#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))' >>.ver
	@mv -f .ver $@

init/version.o: init/version.c include/linux/compile.h include/config/MARKER
	$(CC) $(CFLAGS) -DUTS_MACHINE='"$(ARCH)"' -c -o init/version.o init/version.c

init/main.o: init/main.c include/config/MARKER
	$(CC) $(CFLAGS) $(PROFILING) -c -o $*.o $<

fs lib mm ipc kernel drivers net: dummy
	$(MAKE) $(subst $@, _dir_$@, $@)

MODFLAGS += -DMODULE
ifdef CONFIG_MODULES
ifdef CONFIG_MODVERSIONS
MODFLAGS += -DMODVERSIONS -include $(HPATH)/linux/modversions.h
endif

modules: include/config/MARKER $(patsubst %, _mod_%, $(SUBDIRS))  

$(patsubst %, _mod_%, $(SUBDIRS)) : include/linux/version.h
	$(MAKE) -C $(patsubst _mod_%, %, $@) CFLAGS="$(CFLAGS) $(MODFLAGS)" MAKING_MODULES=1 modules

modules_install:
	@( \
	MODLIB=$(INSTALL_MOD_PATH)/lib/modules/$(KERNELRELEASE); \
	mkdir -p $$MODLIB; \
	rm -f $$MODLIB/build; \
	[ `/sbin/insmod -V 2>&1 | head -1 | awk '/^insmod version /{split($$3, a, /\./); printf "%d%03d%03d\n", a[1], a[2], a[3];}'`0 -ge 20030140 ] && \
	ln -s `pwd` $$MODLIB/build; \
	cd modules; \
	MODULES=""; \
	inst_mod() { These="`cat $$1`"; MODULES="$$MODULES $$These"; \
		mkdir -p $$MODLIB/$$2; cp $$These $$MODLIB/$$2; \
		echo Installing modules under $$MODLIB/$$2; \
	}; \
	\
	if [ -f BLOCK_MODULES ]; then inst_mod BLOCK_MODULES block; fi; \
	if [ -f NET_MODULES   ]; then inst_mod NET_MODULES   net;   fi; \
	if [ -f IPV4_MODULES  ]; then inst_mod IPV4_MODULES  ipv4;  fi; \
	if [ -f IPV6_MODULES  ]; then inst_mod IPV6_MODULES  ipv6;  fi; \
	if [ -f FS_MODULES    ]; then inst_mod FS_MODULES    fs;    fi; \
	if [ -f SK98LIN_MODULES ]; then inst_mod SK98LIN_MODULES  net;   fi; \
	if [ -f SKFP_MODULES ]; then inst_mod SKFP_MODULES   net;   fi; \
	\
	for f in *.o; do [ -r $$f ] && echo $$f; done | sort > $$MODLIB/.allmods; \
	echo $$MODULES | tr ' ' '\n' | sort | comm -23 $$MODLIB/.allmods - > $$MODLIB/.misc; \
	if [ -s $$MODLIB/.misc ]; then inst_mod $$MODLIB/.misc misc; fi; \
	rm -f $$MODLIB/.misc $$MODLIB/.allmods; \
	)

#	if [ -f NLS_MODULES   ]; then inst_mod NLS_MODULES   fs;    fi; \
#	if [ -f VIDEO_MODULES ]; then inst_mod VIDEO_MODULES video; fi; \
#	if [ -f SCSI_MODULES  ]; then inst_mod SCSI_MODULES  scsi;  fi; \
#	if [ -f CDROM_MODULES ]; then inst_mod CDROM_MODULES cdrom; fi; \
#	if [ -f HAM_MODULES   ]; then inst_mod HAM_MODULES   net;   fi; \
#	if [ -f SOUND_MODULES ]; then inst_mod SOUND_MODULES sound; fi; \
# modules disabled....

else
modules modules_install: dummy
	@echo
	@echo "The present kernel configuration has modules disabled."
	@echo "Type 'make config' and enable loadable module support."
	@echo "Then build a kernel with module support enabled."
	@echo
	@exit 1
endif

clean:	archclean
	rm -f kernel/ksyms.lst include/linux/compile.h
	rm -f core `find . -name '*.[oas]' ! \( -regex '.*lxdialog/.*' \
		-o -regex '.*ksymoops/.*' \) -print`
	rm -f core `find . -type f -name 'core' -print`
	rm -f `find . -type f -name '.depend' -print`
	rm -f `find . -type f -name '*~' -print`
	rm -rf include/config/*
	rm -f core `find . -name '.*.flags' -print`
	rm -f vmlinux System.map
	rm -f .tmp*
	rm -f drivers/char/consolemap_deftbl.c drivers/video/promcon_tbl.c
	rm -f drivers/char/conmakehash
	rm -f drivers/sound/bin2hex drivers/sound/hex2hex
	if [ -d modules ]; then \
		rm -f core `find modules/ -type f -print`; \
	fi
	rm -f submenu*

mrproper: clean archmrproper
	rm -f include/linux/autoconf.h include/linux/version.h
	rm -f drivers/net/hamradio/soundmodem/sm_tbl_{afsk1200,afsk2666,fsk9600}.h
	rm -f drivers/net/hamradio/soundmodem/sm_tbl_{hapn4800,psk4800}.h
	rm -f drivers/net/hamradio/soundmodem/sm_tbl_{afsk2400_7,afsk2400_8}.h
	rm -f drivers/net/hamradio/soundmodem/gentbl
	rm -f drivers/char/hfmodem/gentbl drivers/char/hfmodem/tables.h
	rm -f drivers/sound/*_boot.h drivers/sound/.*.boot
	rm -f drivers/sound/msndinit.c
	rm -f drivers/sound/msndperm.c

=== tinylogin/Makefile ===
# Makefile for tinylogin
#
# Copyright (C) 1999-2003 Erik Andersen <andersee@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

PROG      := tinylogin
VERSION   := 1.4
BUILDTIME := $(shell TZ=UTC date -u "+%Y.%m.%d-%H:%M%z")
export VERSION

# With a modern GNU make(1) (highly recommended, that's what all the
# developers use), all of the following configuration values can be
# overridden at the command line.  For example:
#   make CROSS=powerpc-linux- PREFIX=/mnt/app

# If you want to add some simple compiler switches (like -march=i686),
# especially from the command line, use this instead of CFLAGS directly.
# For optimization overrides, it's better still to set OPTIMIZATION.
CFLAGS_EXTRA =
 
# If you want a static binary, turn this on.
DOSTATIC = false

# Set the following to `true' to make a debuggable build.
# Leave this set to `false' for production use.
DODEBUG = false

# Setting this to `true' will cause tinylogin to directly use the system's
# password and group functions. Assuming you use GNU libc, when this is
# `true', you will need to install the /etc/nsswitch.conf configuration file
# and the required libnss_* libraries. This generally makes your embedded
# system quite a bit larger... If you leave this off, tinylogin will directly 
# use the /etc/password, /etc/group files (and your system will be smaller, 
# and I will get fewer emails asking about how glibc NSS works). Enabling 
# this adds just 1.4k to the binary size (which is a _lot_ less then glibc NSS 
# costs). Note that if you want hostname resolution to work with glibc, you 
# still need the libnss_* libraries.
USE_SYSTEM_PWD_GRP = true

# Setting this to `true' will cause tinylogin to directly use the system's
# shadow password functions.  If you leave this off, tinylogin will use its 
# own (probably smaller) shadow password functions.
USE_SYSTEM_SHADOW = true

# This enables compiling with dmalloc ( http://dmalloc.com/ )
# which is an excellent public domain mem leak and malloc problem
# detector.  To enable dmalloc, before running tinylogin you will
# want to first set up your environment.
# eg: `export DMALLOC_OPTIONS=debug=0x14f47d83,inter=100,log=logfile`
# Do not enable this for production builds...
DODMALLOC = false

# Electric-fence is another very useful malloc debugging library.
# Do not enable this for production builds...
DOEFENCE  = false

# GNU libc and uClibc want libcrypt.  libc5 wants this disabled...
LIBRARIES = -lcrypt

# If you are running a cross compiler, you may want to set this
# to something more interesting, like "powerpc-linux-".
CROSS =
CC = $(CROSS)gcc
AR = $(CROSS)ar
STRIPTOOL = $(CROSS)strip

# To compile vs uClibc, just use the compiler wrapper built by uClibc...
# Everything should compile and work as expected these days...
#CC = /usr/i386-linux-uclibc/usr/bin/i386-uclibc-gcc
#USE_SYSTEM_PWD_GRP = true
include ../compiler

# To compile vs some other alternative libc, you may need to use/adjust
# the following lines to meet your needs...
#LIBCDIR=/usr/i486-linuxlibc1/
#LDFLAGS+=-nostdlib
#LIBRARIES = $(LIBCDIR)/libc.a -lgcc
#CROSS_CFLAGS+=-nostdinc -I$(LIBCDIR)/include -I$(GCCINCDIR)
#GCCINCDIR = $(shell gcc -print-search-dirs | sed -ne "s/install: \(.*\)/\1include/gp")

ARFLAGS = -r

#--------------------------------------------------------


# use '-Os' optimization if available, else use -O2
OPTIMIZATION = $(shell if $(CC) -Os -S -o /dev/null -xc /dev/null >/dev/null 2>&1; \
    then echo "-Os"; else echo "-O2" ; fi)

WARNINGS = -Wall

ifeq ($(strip $(DODMALLOC)),true)
    # For testing mem leaks with dmalloc
    CFLAGS+=-DDMALLOC
    LIBRARIES+= -ldmalloc
    # Force debug=true, since this is useless when not debugging...
    DODEBUG = true
else
    ifeq ($(strip $(DOEFENCE)),true)
	LIBRARIES+= -lefence
	# Force debug=true, since this is useless when not debugging...
	DODEBUG = true
    endif
endif
ifeq ($(strip $(DODEBUG)),true)
    CFLAGS  += $(WARNINGS) -g -D_GNU_SOURCE
    LDFLAGS += -Wl,-warn-common 
    STRIP    =
else
    CFLAGS  += $(WARNINGS) $(OPTIMIZATION) -fomit-frame-pointer -D_GNU_SOURCE
    LDFLAGS += -s -Wl,-warn-common 
    STRIP    = $(STRIPTOOL) --remove-section=.note --remove-section=.comment $(PROG)
endif
ifeq ($(strip $(DODEBUG)),true)
    LDFLAGS += --static
    #
    #use '-ffunction-sections -fdata-sections' and '--gc-sections' (if they 
    # work) to try and strip out any unused junk.  Doesn't do much for me, 
    # but you may want to give it a shot...
    #
    #ifeq ($(shell $(CC) -ffunction-sections -fdata-sections -S \
    #	-o /dev/null -xc /dev/null 2>/dev/null && $(LD) \
    #			--gc-sections -v >/dev/null && echo 1),1)
    #	CFLAGS += -ffunction-sections -fdata-sections
    #	LDFLAGS += --gc-sections
    #endif
endif
ifeq ($(strip $(DOSTATIC)),true)
    LDFLAGS += --static
    #
    #use '-ffunction-sections -fdata-sections' and '--gc-sections' (if they 
    # work) to try and strip out any unused junk.  Doesn't do much for me, 
    # but you may want to give it a shot...
    #
    #ifeq ($(shell $(CC) -ffunction-sections -fdata-sections -S \
    #	-o /dev/null -xc /dev/null 2>/dev/null && $(LD) \
    #			--gc-sections -v >/dev/null && echo 1),1)
    #	CFLAGS += -ffunction-sections -fdata-sections
    #	LDFLAGS += --gc-sections
    #endif
endif
ifndef $(PREFIX)
    PREFIX = `pwd`/_install
endif


TOPDIR:=$(shell /bin/pwd)
OBJECTS   =  tinylogin.o applets.o usage.o
OBJECTS   += $(shell ./tinylogin.sh)
CFLAGS    += -DCONFIG_VER='"$(VERSION)"'
CFLAGS    += -DCONFIG_BT='"$(BUILDTIME)"'
CFLAGS    += -I$(TOPDIR) -I$(TOPDIR)/include

ifeq ($(strip $(USE_SYSTEM_PWD_GRP)),true)
    CFLAGS    += -DUSE_SYSTEM_PWD_GRP
else
    PWD_GRP	= pwd_grp
    PWD_GRP_DIR = $(PWD_GRP)
    PWD_LIB     = libpwd.a
    PWD_CSRC=__getpwent.c pwent.c getpwnam.c getpwuid.c putpwent.c getpw.c \
	    fgetpwent.c __getgrent.c grent.c getgrnam.c getgrgid.c fgetgrent.c \
	    initgroups.c setgroups.c
    PWD_OBJS=$(patsubst %.c,$(PWD_GRP)/%.o, $(PWD_CSRC))
endif
ifeq ($(strip $(USE_SYSTEM_SHADOW)),true)
    CFLAGS+=-DUSE_SYSTEM_SHADOW
endif

LIBBB	  = libbb
LIBBB_LIB = libbb.a
LIBBB_CSRC= change_identity.c libc5.c pwd2spwd.c run_shell.c \
xfuncs.c correct_password.c pw_encrypt.c restricted_shell.c \
setup_environment.c error_msg.c error_msg_and_die.c perror_msg.c \
perror_msg_and_die.c verror_msg.c vperror_msg.c safe_strncpy.c \
get_last_path_component.c concat_path_file.c last_char_is.c \
wfopen.c syslog_msg_with_name.c obscure.c xreadlink.c
LIBBB_OBJS=$(patsubst %.c,$(LIBBB)/%.o, $(LIBBB_CSRC))

LIBBB_MSRC=libbb/messages.c
LIBBB_MESSAGES= full_version name_too_long omitting_directory not_a_directory \
memory_exhausted invalid_date invalid_option io_error dash_dash_help \
write_error too_few_args name_longer_than_foo unknown can_not_create_raw_socket \
nologin_file passwd_file shadow_file gshadow_file group_file securetty_file \
motd_file issue_file _path_login
LIBBB_MOBJ=$(patsubst %,$(LIBBB)/%.o, $(LIBBB_MESSAGES))




# Put user-supplied flags at the end, where they
# have a chance of winning.
CFLAGS += $(CFLAGS_EXTRA)

.EXPORT_ALL_VARIABLES:

all: tinylogin tinylogin.links doc

doc: docs/TinyLogin.txt docs/TinyLogin.1 docs/TinyLogin.html

docs/TinyLogin.txt: docs/tinylogin.pod
	@echo
	@echo TinyLogin Documentation
	@echo
	- pod2text docs/tinylogin.pod > docs/TinyLogin.txt

docs/TinyLogin.1: docs/tinylogin.pod
	- pod2man --center=TinyLogin --release="version $(VERSION)" docs/tinylogin.pod > docs/TinyLogin.1

docs/TinyLogin.html: docs/tinylogin.busybox.net/TinyLogin.html
	- rm -f docs/TinyLogin.html
	- ln -s tinylogin.busybox.net/TinyLogin.html docs/TinyLogin.html

docs/tinylogin.busybox.net/TinyLogin.html: docs/tinylogin.pod
	- pod2html docs/tinylogin.pod > docs/tinylogin.busybox.net/TinyLogin.html
	- rm -f pod2html*

tinylogin: $(PWD_LIB) $(LIBBB_LIB) $(OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(PWD_LIB) $(LIBBB_LIB) $(LIBRARIES)
	$(STRIP)

$(PWD_OBJS): %.o: %.c Config.h include/tinylogin.h include/applets.h Makefile
	- mkdir -p $(PWD_GRP)
	$(CC) $(CFLAGS) -c $< -o $*.o

libpwd.a: $(PWD_OBJS)
	$(AR) $(ARFLAGS) $@ $^

libbb.a:  $(LIBBB_MOBJ) $(LIBBB_AROBJS) $(LIBBB_OBJS)
	$(AR) $(ARFLAGS) $@ $^

$(LIBBB_OBJS): %.o: %.c Config.h include/tinylogin.h include/applets.h include/libbb.h Makefile
	$(CC) $(CFLAGS) -c $< -o $*.o

$(LIBBB_MOBJ): $(LIBBB_MSRC)
	$(CC) $(CFLAGS) -DL_$(patsubst libbb/%,%,$*) -c $< -o $*.o

$(LIBBB_AROBJS): $(LIBBB_ARCSRC)
	$(CC) $(CFLAGS) -DL_$(patsubst libbb/%,%,$*) -c $< -o $*.o


tinylogin.links: Config.h include/applets.h
	- ./tinylogin.mkll | sort >$@

$(OBJECTS): %.o: %.c Config.h include/tinylogin.h include/applets.h Makefile

clean:
	- rm -f tinylogin tinylogin.links *~ core
	- find -name \*.o -exec rm -f {} \;
	- find -name \*.a -exec rm -f {} \;
	- find -name pod2htm\* -exec rm -f {} \;
	- rm -rf _install
	- rm -f rm ./pwd_grp/libpwd.a docs/TinyLogin.txt docs/TinyLogin.1 \
		docs/TinyLogin.html docs/tinylogin.busybox.net/TinyLogin.html

distclean: clean
	- rm -f tinylogin

install: $(PWD_LIB) tinylogin tinylogin.links doc
	@./install.sh $(PREFIX)

install-hardlinks: tinylogin tinylogin.links
	@./install.sh $(PREFIX) --hardlinks

dist release: distclean doc
	- find -name pod2htm\* -exec rm -f {} \;
	cd ..;					\
	rm -rf tinylogin-$(VERSION);		\
	cp -a tinylogin tinylogin-$(VERSION);	\
						\
	find tinylogin-$(VERSION)/ -type d	\
				 -name CVS	\
				 -print		\
		| xargs rm -rf;			\
						\
	find tinylogin-$(VERSION)/ -type f	\
				 -name .cvsignore \
				 -print		\
		| xargs rm -f;			\
						\
	find tinylogin-$(VERSION)/ -type f	\
				 -name .\#*	\
				 -print		\
		| xargs rm -f;			\
						\
	tar -cvzf tinylogin-$(VERSION).tar.gz tinylogin-$(VERSION)/;

=== zlib/Makefile ===
# Makefile for zlib
# Copyright (C) 1995-2002 Jean-loup Gailly.
# For conditions of distribution and use, see copyright notice in zlib.h 

# To compile and test, type:
#   ./configure; make test
# The call of configure is optional if you don't have special requirements
# If you wish to build zlib as a shared library, use: ./configure -s

# To install /usr/local/lib/libz.* and /usr/local/include/zlib.h, type:
#    make install
# To install in $HOME instead of /usr/local, use:
#    make install prefix=$HOME

include ../compiler

#CC=/usr/i386-linux-uclibc/usr/bin/i386-uclibc-gcc -Os -m386 -malign-functions=0 -malign-jumps=0 -malign-loops=0 -DCPU=386 -fomit-frame-pointer -fno-builtin -fno-strength-reduce -fno-inline -s -DNOERROR  -D__i386__ -L/usr/i386-linux-uclibc/lib

CFLAGS=-fPIC -Os -m386 -DHAVE_UNISTD_H -DUSE_MMAP
#CFLAGS=-O -DMAX_WBITS=14 -DMAX_MEM_LEVEL=7
#CFLAGS=-g -DDEBUG
#CFLAGS=-O3 -Wall -Wwrite-strings -Wpointer-arith -Wconversion \
#           -Wstrict-prototypes -Wmissing-prototypes

LDFLAGS=-L. -lz
LDSHARED=/usr/i386-linux-uclibc/bin/i386-uclibc-gcc -Os -m386 -malign-functions=0 -malign-jumps=0 -malign-loops=0 -DCPU=386 -fomit-frame-pointer -fno-builtin -fno-strength-reduce -fno-inline -s -DNOERROR  -D__i386__ -L/usr/i386-linux-uclibc/lib -shared -Wl,-soname,libz.so.1
CPP=/usr/i386-linux-uclibc/bin/i386-uclibc-gcc -Os -m386 -malign-functions=0 -malign-jumps=0 -malign-loops=0 -DCPU=386 -fomit-frame-pointer -fno-builtin -fno-strength-reduce -fno-inline -s -DNOERROR  -D__i386__ -L/usr/i386-linux-uclibc/lib -E

VER=1.1.4
LIBS=libz.so.1.1.4
SHAREDLIB=libz.so

AR=/usr/i386-linux-uclibc/usr/bin/i386-uclibc-ar
RANLIB=ranlib
TAR=tar
SHELL=/bin/sh

prefix =/usr/local
exec_prefix =${prefix}
libdir =${exec_prefix}/lib
includedir =${prefix}/include

OBJS = adler32.o  deflate.o trees.o \
       zutil.o inflate.o infblock.o inftrees.o infcodes.o infutil.o inffast.o


# compress.o deflate.o uncompr.o compress.o crc32.o  gzio.o 

OBJA =
# to use the asm code: make OBJA=match.o

TEST_OBJS = 

#example.o minigzip.o

DISTFILES = README FAQ INDEX ChangeLog configure Make*[a-z0-9] *.[ch] *.mms \
  algorithm.txt zlib.3 zlib.html \
  msdos/Make*[a-z0-9] msdos/zlib.def msdos/zlib.rc \
  nt/Make*[a-z0-9] nt/zlib.dnt amiga/Make*.??? os2/M*.os2 os2/zlib.def \
  contrib/RE*.contrib contrib/*.txt contrib/asm386/*.asm contrib/asm386/*.c \
  contrib/asm386/*.bat contrib/asm386/zlibvc.d?? contrib/asm[56]86/*.?86 \
  contrib/asm[56]86/*.S contrib/iostream/*.cpp \
  contrib/iostream/*.h  contrib/iostream2/*.h contrib/iostream2/*.cpp \
  contrib/untgz/Makefile contrib/untgz/*.c contrib/untgz/*.w32 \
  contrib/minizip/[CM]*[pe] contrib/minizip/*.[ch] contrib/minizip/*.[td]?? \
  contrib/delphi*/*.???

all: example

# minigzip

test: all
	@LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH) ; export LD_LIBRARY_PATH; \
	echo hello world | ./minigzip | ./minigzip -d || \
	  echo '		*** minigzip test FAILED ***' ; \
	if ./example; then \
	  echo '		*** zlib test OK ***'; \
	else \
	  echo '		*** zlib test FAILED ***'; \
	fi

libz.a: $(OBJS) $(OBJA)
	$(AR) $@ $(OBJS) $(OBJA)
	-@ ($(RANLIB) $@ || true) >/dev/null 2>&1

match.o: match.S
	$(CPP) match.S > _match.s
	$(CC) -c _match.s
	mv _match.o match.o
	rm -f _match.s

$(SHAREDLIB).$(VER): $(OBJS)
	$(LDSHARED) -o $@ $(OBJS)
	rm -f $(SHAREDLIB) $(SHAREDLIB).1
	ln -s $@ $(SHAREDLIB)
	ln -s $@ $(SHAREDLIB).1

example: example.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ example.o $(LDFLAGS)

minigzip: minigzip.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ minigzip.o $(LDFLAGS)

install: $(LIBS)
	-@if [ ! -d $(includedir)  ]; then mkdir $(includedir); fi
	-@if [ ! -d $(libdir) ]; then mkdir $(libdir); fi
	cp zlib.h zconf.h $(includedir)
	chmod 644 $(includedir)/zlib.h $(includedir)/zconf.h
	cp $(LIBS) $(libdir)
	cd $(libdir); chmod 755 $(LIBS)
	-@(cd $(libdir); $(RANLIB) libz.a || true) >/dev/null 2>&1
	cd $(libdir); if test -f $(SHAREDLIB).$(VER); then \
	  rm -f $(SHAREDLIB) $(SHAREDLIB).1; \
	  ln -s $(SHAREDLIB).$(VER) $(SHAREDLIB); \
	  ln -s $(SHAREDLIB).$(VER) $(SHAREDLIB).1; \
	  (ldconfig || true)  >/dev/null 2>&1; \
	fi
# The ranlib in install is needed on NeXTSTEP which checks file times
# ldconfig is for Linux

uninstall:
	cd $(includedir); \
	v=$(VER); \
	if test -f zlib.h; then \
	  v=`sed -n '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`; \
          rm -f zlib.h zconf.h; \
	fi; \
	cd $(libdir); rm -f libz.a; \
	if test -f $(SHAREDLIB).$$v; then \
	  rm -f $(SHAREDLIB).$$v $(SHAREDLIB) $(SHAREDLIB).1; \
	fi

clean:
	rm -f *.o *~ example minigzip libz.a libz.so* foo.gz so_locations \
	   _match.s maketree

distclean:	clean

zip:
	mv Makefile Makefile~; cp -p Makefile.in Makefile
	rm -f test.c ztest*.c contrib/minizip/test.zip
	v=`sed -n -e 's/\.//g' -e '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`;\
	zip -ul9 zlib$$v $(DISTFILES)
	mv Makefile~ Makefile

dist:
	mv Makefile Makefile~; cp -p Makefile.in Makefile
	rm -f test.c ztest*.c contrib/minizip/test.zip
	d=zlib-`sed -n '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`;\
	rm -f $$d.tar.gz; \
	if test ! -d ../$$d; then rm -f ../$$d; ln -s `pwd` ../$$d; fi; \
	files=""; \
	for f in $(DISTFILES); do files="$$files $$d/$$f"; done; \
	cd ..; \
	GZIP=-9 $(TAR) chofz $$d/$$d.tar.gz $$files; \
	if test ! -d $$d; then rm -f $$d; fi
	mv Makefile~ Makefile

tags:	
	etags *.[ch]

depend:
	makedepend -- $(CFLAGS) -- *.[ch]

# DO NOT DELETE THIS LINE -- make depend depends on it.

adler32.o: zlib.h zconf.h
compress.o: zlib.h zconf.h
crc32.o: zlib.h zconf.h
deflate.o: deflate.h zutil.h zlib.h zconf.h
example.o: zlib.h zconf.h
gzio.o: zutil.h zlib.h zconf.h
infblock.o: infblock.h inftrees.h infcodes.h infutil.h zutil.h zlib.h zconf.h
infcodes.o: zutil.h zlib.h zconf.h
infcodes.o: inftrees.h infblock.h infcodes.h infutil.h inffast.h
inffast.o: zutil.h zlib.h zconf.h inftrees.h
inffast.o: infblock.h infcodes.h infutil.h inffast.h
inflate.o: zutil.h zlib.h zconf.h infblock.h
inftrees.o: zutil.h zlib.h zconf.h inftrees.h
infutil.o: zutil.h zlib.h zconf.h infblock.h inftrees.h infcodes.h infutil.h
minigzip.o:  zlib.h zconf.h 
trees.o: deflate.h zutil.h zlib.h zconf.h trees.h
uncompr.o: zlib.h zconf.h
zutil.o: zutil.h zlib.h zconf.h

=== My_box/bzip2-0.9.0c/Makefile ===

CC=gcc
CFLAGS= -Os -m386 -fomit-frame-pointer -fno-builtin -s
#CFLAGS= -O2 -fomit-frame-pointer -fno-strength-reduce
#-Wall

OBJS= blocksort.o  \
      huffman.o    \
      crctable.o   \
      randtable.o  \
      compress.o   \
      decompress.o \
      bzlib.o

all: lib bzip2 

#test

bzip2: lib
	$(CC) $(CFLAGS) -c bzip2.c
	$(CC) $(CFLAGS) -o bzip2 bzip2.o $(OBJS)

#	$(CC) $(CFLAGS) -o bzip2recover bzip2recover.c

lib: $(OBJS)
	rm -f libbz2.a
	ar clq libbz2.a $(OBJS)

#test: bzip2
#	@cat words1
#	./bzip2 -1 < sample1.ref > sample1.rb2
#	./bzip2 -2 < sample2.ref > sample2.rb2
#	./bzip2 -d < sample1.bz2 > sample1.tst
#	./bzip2 -d < sample2.bz2 > sample2.tst
#	@cat words2
#	cmp sample1.bz2 sample1.rb2 
#	cmp sample2.bz2 sample2.rb2
#	cmp sample1.tst sample1.ref
#	cmp sample2.tst sample2.ref
#	@cat words3


clean: 
	rm -f *.o libbz2.a bzip2 bzip2recover sample1.rb2 sample2.rb2 sample1.tst sample2.tst

.c.o: $*.o bzlib.h bzlib_private.h
	$(CC) $(CFLAGS) -c $*.c -o $*.o

tarfile:
	tar cvf interim.tar *.c *.h Makefile manual.texi manual.ps LICENSE bzip2.1 bzip2.1.preformatted bzip2.txt words1 words2 words3 sample1.ref sample2.ref sample1.bz2 sample2.bz2 *.html README CHANGES libbz2.def libbz2.dsp dlltest.dsp

=== My_box/cloop-0.68/Makefile ===
#!/usr/bin/make

KERNEL_DIR=/usr/src/linux

CFLAGS:=-Wall -Wstrict-prototypes -Wno-trigraphs -O2 -s -I. -fno-strict-aliasing -fno-common -fomit-frame-pointer -mpreferred-stack-boundary=2 -march=i386
CKERNOPS:=-D__KERNEL__ -DMODULE -I$(KERNEL_DIR)/include

ifndef APPSONLY
include $(KERNEL_DIR)/.config
endif

ifdef CONFIG_MODVERSIONS
MODVERSIONS:= -DMODVERSIONS -include $(KERNEL_DIR)/include/linux/modversions.h
CKERNOPS += $(MODVERSIONS)
endif

# Check for SMP in config and #define __SMP__ if necessary.
# This is ESSENTIAL when compiling a SMP version of cloop.o
# Otherwise, the module will block the entire block buffer management on read.

ifdef CONFIG_SMP
CKERNOPS += -D__SMP__
endif

# Use zlib library, otherwise use kernel-builtin inflate functions from compiled-in bsdcomp
ifeq "$(CONFIG_ZLIB_INFLATE)" "y"
USEZLIB=
else
USEZLIB=zlib-1.1.4/libz.a
endif

KERNOBJ:=compressed_loop.o

all: zcode cloop.o create_compressed_fs compressloop extract_compressed_fs

zcode: zlib-1.1.4/adler32.o zlib-1.1.4/uncompr.o zlib-1.1.4/trees.o zlib-1.1.4/zutil.o zlib-1.1.4/inflate.o zlib-1.1.4/infblock.o zlib-1.1.4/inftrees.o zlib-1.1.4/infcodes.o zlib-1.1.4/infutil.o zlib-1.1.4/inffast.o

cloop.o: compressed_loop.o
	$(LD) -r -o $@ $^ $(USEZLIB)

create_compressed_fs: create_compressed_fs.o
	$(CC) -o $@ $< -lz

compressloop: compressloop.c
	$(CC) -o $@ $< -lz

extract_compressed_fs: extract_compressed_fs.o
	$(CC) -o $@ $< -lz

zlib-1.1.4/%.o:
	$(MAKE) -C zlib-1.1.4/ CFLAGS="$(CFLAGS) -DNO_MEMCPY"

clean:
	rm -f cloop.o $(KERNOBJ) create_compressed_fs compressloop extract_compressed_fs zoom *.o
	$(MAKE) -C zlib-1.1.4/ clean

dist: clean
	cd .. ; \
	tar -cf - cloop/{Makefile,*.[ch],zlib-1.1.4,CHANGELOG,README} | \
	bzip2 -9 > $(HOME)/redhat/SOURCES/cloop.tar.bz2

zlib-1.1.4/%.o:
	$(MAKE) -C zlib-1.1.4/ CFLAGS="$(CFLAGS) -DNO_MEMCPY"

$(KERNOBJ): %.o : %.c
	$(CC) $(CFLAGS) $(CKERNOPS) $< -c -o $@

compressed_loop.o create_compressed_fs.o: compressed_loop.h

=== My_box/dcron-2.3.3/Makefile ===
# Makefile for dillon's cron and crontab
#

CC  = gcc
CFLAGS = -Os -m386 -fomit-frame-pointer -fno-builtin -s
#-O2 -Wall -Wstrict-prototypes
LIB = 
SRCS = main.c subs.c database.c job.c
OBJS = main.o subs.o database.o job.o
D_SRCS = crontab.c subs.c
D_OBJS = crontab.o subs.o
PROTOS= protos.h
DOBJS = dcron.o subs.o database.o job.o

all:	${PROTOS} cronh crond crontab

crond:	${OBJS}
	${CC} ${CFLAGS} -o crond ${OBJS} ${LIB}
	strip crond

crontab:  ${D_OBJS}
	${CC} ${CFLAGS} -o crontab ${D_OBJS}
	strip crontab

cronh: 	${DOBJS}
	${CC} ${CFLAGS} -o crondh ${DOBJS} ${LIB}
	strip crondh

protos.h: ${SRCS} ${D_SRCS}
	fgrep -h Prototype ${SRCS} ${D_SRCS} >protos.h

clean:  cleano
	rm -f crond crontab

cleano:
	rm -f *.o dcron.tgz $(PROTOS)

install: crond crontab
	install -o root -g root -m 0755 crond /usr/sbin
	install -o root -g root -m 4755 crontab /usr/bin
	install -o root -g root crontab.1 /usr/man/man1
	install -o root -g root  crond.8 /usr/man/man8

tar: cleano
	(cd ..; tar cvf - dcron | gzip -9 >dcron.tgz.tmp)
	mv -f ../dcron.tgz.tmp dcron.tgz

=== My_box/dosfsck/Makefile ===
CFLAGS=-Os -m386 -fomit-frame-pointer -fno-builtin -s -DLINUX 
OBJECTS = boot.o check.o common.o dosfsck.o fat.o file.o io.o lfn.o

all: dosfsck

dosfsck: $(OBJECTS)
	$(CC) -o $@ $(LDFLAGS) $^

.c.o:
	$(CC) -c $(CFLAGS) $*.c

install: dosfsck
	mkdir -p $(SBINDIR) $(MANDIR)
	install -m 755 dosfsck $(SBINDIR)
	install -m 644 dosfsck.8 $(MANDIR)
	rm -f $(SBINDIR)/fsck.msdos
	rm -f $(SBINDIR)/fsck.vfat
	ln -s dosfsck $(SBINDIR)/fsck.msdos
	ln -s dosfsck $(SBINDIR)/fsck.vfat
	rm -f $(MANDIR)/fsck.msdos.8
	ln -s dosfsck.8 $(MANDIR)/fsck.msdos.8
	ln -s dosfsck.8 $(MANDIR)/fsck.vfat.8

clean:
	rm -f *.o *.s *.i *~ \#*# tmp_make .#* .new*

distclean: clean
	rm -f *.a dosfsck

dep:
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
	$(CPP) $(CFLAGS) -MM *.c >>tmp_make
	mv tmp_make Makefile

### Dependencies
boot.o: boot.c common.h dosfsck.h io.h boot.h
check.o: check.c common.h dosfsck.h io.h fat.h file.h lfn.h check.h
common.o: common.c common.h
dosfsck.o: dosfsck.c common.h dosfsck.h io.h boot.h fat.h file.h \
 check.h
fat.o: fat.c common.h dosfsck.h io.h check.h fat.h
file.o: file.c common.h file.h
io.o: io.c dosfsck.h common.h io.h
lfn.o: lfn.c common.h io.h dosfsck.h lfn.h file.h

=== My_box/hping2/Makefile ===
# $smu-mark$ 
# $name: Makefile.in$ 
# $author: Salvatore Sanfilippo 'antirez'$ 
# $copyright: Copyright (C) 1999 by Salvatore Sanfilippo$ 
# $license: This software is under GPL version 2 of license$ 
# $date: Sun Jul 25 17:56:15 MET DST 1999$ 
# $rev: 3$ 

CC= gcc
CCOPT= -Os -m386 -fomit-frame-pointer -fno-builtin -s -DLINUX 
# -O2 -Wall 
DEBUG= -g
#uncomment the following if you need libpcap based build under linux
#(not raccomanded)
COMPILE_TIME=  -DLIMITWHENSUID
INSTALL_MANPATH=/usr/local/man


OBJ=	main.o getifname.o getlhs.o \
	linux_sockpacket.o parseoptions.o datafiller.o \
	datahandler.o gethostname.o \
	binding.o getusec.o opensockraw.o \
	logicmp.o waitpacket.o resolve.o \
	sendip.o sendicmp.o sendudp.o \
	sendtcp.o cksum.o statistics.o \
	usage.o version.o hgetopt.o \
	sockopt.o listen.o \
	sendhcmp.o memstr.o rtt.o \
	relid.o sendip_handler.o \
	libpcap_stuff.o memlockall.o memunlockall.o \
	memlock.o memunlock.o ip_opt_build.o \
	display_ipopt.o sendrawip.o signal.o

all: hping2

hping2: byteorder.h $(OBJ)
	$(CC) -o hping2 $(CCOPT) $(DEBUG) $(OBJ) $(PCAP) 
	@echo
	./hping2 -v
	@echo "use \`make strip' to strip hping2 binary"
	@echo "use \`make install' to install hping2"

byteorder.h:
	./configure

.c.o:
	$(CC) -c $(CCOPT) $(DEBUG) $(COMPILE_TIME) $<

clean:
	rm -rf hping2 *.o
	-(cd utils; $(MAKE) clean)

distclean:
	rm -rf hping2 *.o byteorder byteorder.h systype.h Makefile
	-(cd utils; $(MAKE) clean)

install: hping2
	cp -f hping2 /usr/sbin/
	chmod 755 /usr/sbin/hping2
	ln -sf /usr/sbin/hping2 /usr/sbin/hping
	@if [ -d ${INSTALL_MANPATH}/man8 ]; then \
		cp ./docs/hping2.8 ${INSTALL_MANPATH}/man8; \
		chmod 644 ${INSTALL_MANPATH}/man8/hping2.8; \
	else \
		echo "@@@@@@ WARNING @@@@@@"; \
		echo "Can't install the man page: ${INSTALL_MANPATH}/man8 does not exist"; \
	fi

strip: hping2
	@ls -l ./hping2
	strip hping2
	@ls -l ./hping2

=== My_box/maplay/Makefile ===

#
#  Changes from 1.1 to 1.2:
#    - dependencies described directly, no more makedepend required
#    - all .c source files rename to .cc files
#    - strip command included after a successful compilation
#    - this makefile is now "Star Trek The Next Generation" compatible!
#


CFLAGS = $(COMPILERFLAGS) # -DLINUX  -ffast-math -m486 -m80387 -O3 -ggdb
# -fomit-frame-pointer -DDAMN_INTEL_BYTE_ORDER
# debugging: -ggdb -DDEBUG
# profiling: -pg (gprof) or -p (prof)
# strip command has to be removed for debugging or profiling

COMPILER = /usr/i386-linux-uclibc/bin/i386-uclibc-gcc 

#-c -O3 -DLINUX -DDAMN_INTEL_BYTE_ORDER  


#COMPILER = gcc

#-O3 -m486 -m80387 -ffast-math -fomit-frame-pointer -DLINUX -DDAMN_INTEL_BYTE_ORDER   

OBJS = ibitstream.o header.o scalefactors.o subband_layer_1.o subband_layer_2.o \
       synthesis_filter.o obuffer.o crc.o layer3.o bit_res.o huffman.o inv_mdct.o maplay.o 

# ulaw.o

.SUFFIXES:	.cc

#install:
#		@./configuration.sh

all:		maplay

maplay:		$(OBJS)
		$(COMPILER) $(CFLAGS) $(OBJS) -o $@ $(LIBRARIES) -L/usr/i386-linux-uclibc/lib -lm
#		-strip $@

.cc.o:
		$(COMPILER) -c $(CFLAGS) $(INCLUDEDIRS) $*.cc -o $@

depend:
		makedepend $(INCLUDEDIRS) -w100 *.cc

clean:
		-rm -f maplay makedepend_done Makefile.bak audio_includes.h
		-rm -f *.o

tags:
		-rm -f TAGS
		etags *.cc *.h Makefile configuration.sh

it:
		@echo >/dev/null
so:
		@echo I\'ll do my very best, Captain.
		@make install
		@echo Further orders, Sir\?


#l3type.h l3type.h l3type.h l3type.h l3type.h l3type.h l3type.h l3type.h 

bit_res.o:	bit_res.cc all.h bit_res.h
crc.o:		crc.cc crc.h all.h
header.o:	header.cc header.h all.h ibitstream.h  crc.h
huffman.o:	huffman.cc all.h bit_res.h huffman.h
ibitstream.o:	ibitstream.cc all.h ibitstream.h  header.h crc.h
inv_mdct.o:	inv_mdct.cc all.h inv_mdct.h
layer3.o:	layer3.cc all.h  ibitstream.h obuffer.h header.h \
		crc.h bit_res.h synthesis_filter.h huffman.h \
		layer3.h inv_mdct.h
maplay.o:	maplay.cc all.h crc.h header.h ibitstream.h  \
		obuffer.h subband.h synthesis_filter.h \
		subband_layer_1.h subband_layer_2.h layer3.h bit_res.h
obuffer.o:	obuffer.cc obuffer.h all.h header.h ibitstream.h  \
		crc.h
scalefactors.o:	scalefactors.cc scalefactors.h all.h
subband_layer_1.o: subband_layer_1.cc subband_layer_1.h all.h \
		subband.h ibitstream.h  header.h crc.h synthesis_filter.h \
		obuffer.h scalefactors.h
subband_layer_2.o: subband_layer_2.cc subband_layer_2.h all.h \
		subband.h ibitstream.h  header.h crc.h synthesis_filter.h \
		obuffer.h scalefactors.h
synthesis_filter.o: synthesis_filter.cc all.h synthesis_filter.h \
		obuffer.h header.h ibitstream.h crc.h

#ulaw.o:		ulaw.cc ulaw.h all.h


# DO NOT DELETE THIS LINE -- make depend depends on it.

=== My_box/portsentry-1.0/Makefile ===
# Makefile for PortSentry package.
# 
# Send problems/code hacks to crowland@psionic.com 
#
#
# STEALTH MODE: Only works on Linux systems right now and will remain that
# way until I find time to port it. Sorry..
#
# The snprintf included with the package is for use with NEXTSTEP only,
# (Thanks Timothy <tjl@luomat.org>) although it may work elsewhere.
# I've not tried it under any other OS to date. It shouldn't be needed
# by any decent modern OS.
#
# Others have used the snprintf from:
#
# http://www.ijs.si/software/snprintf/
#
# I've not tried this yet but others have had good success. My only 
# piece of advice for those running an OS without built in snprintf()
# is to upgrade. :)
#
#
# Generic compiler
CC = cc
# GNU..
#CC = gcc 

# Normal systems flags
CFLAGS = -O -Wall

# Debug mode for portsentry
#CFLAGS = -Wall -g -DNODAEMON -DDEBUG
#CFLAGS = -Wall -g -DNODAEMON
# Profiler mode for portsentry
#CFLAGS = -pg -O -Wall -DNODAEMON
#LIBS = /usr/lib/libefence.a

INSTALLDIR = /usr/local/psionic
CHILDDIR=/portsentry


linux:		
		SYSTYPE=linux 
		@echo "Making $(SYSTYPE)"
		$(CC) $(CFLAGS) -DLINUX -DSUPPORT_STEALTH -o ./portsentry ./portsentry.c \
		./portsentry_io.c ./portsentry_util.c $(LIBS)

porto:		
		SYSTYPE=linux 
		@echo "Making $(SYSTYPE)"
		portsentry.o portsentry_io.o portsentry_util.o

=== debian/changelog ===
busybox-cvs (0.60.99.cvs20030819-2) unstable; urgency=low

  * Fix configure permisions
  * Set source Section to embedded 

 -- Glenn McGrath <bug1@debian.org>  Mon, 25 Aug 2003 06:33:19 +0000

busybox-cvs (0.60.99.cvs20030819-1) unstable; urgency=low

  * new cvs version

 -- Bastian Blank <waldi@debian.org>  Tue, 19 Aug 2003 13:18:54 +0200

busybox-cvs (0.60.99.cvs20030426-10) unstable; urgency=low

  * archival/libunarchive/*
    - add hardlink support (pending)
  * debian/config-*udeb*
    - add support for oldgnu tar format

 -- Bastian Blank <waldi@debian.org>  Tue, 10 Jun 2003 12:06:41 +0200

busybox-cvs (0.60.99.cvs20030426-9) unstable; urgency=low

  * modutils/depmod.c
    - fix base_dir for modules.dep 

 -- Bastian Blank <waldi@debian.org>  Sat, 07 Jun 2003 14:52:54 +0200

busybox-cvs (0.60.99.cvs20030426-8) unstable; urgency=low

  * util-linux/fdisk.c
    - fix syscalls. (pending)
  * libpwd/*
    - don't build setgroups.o

 -- Bastian Blank <waldi@debian.org>  Tue, 03 Jun 2003 11:26:28 +0200

busybox-cvs (0.60.99.cvs20030426-7) unstable; urgency=low

  * libbb/*syscallc.c
    - fix syscalls. (upstream) (closes: #194631)
  * modutils/*
    - update complete objects code from upstream. (pending)
  * debian/config-*udeb*
    - update to busybox-applets.txt:1.14

 -- Bastian Blank <waldi@debian.org>  Thu, 29 May 2003 16:17:14 +0200

busybox-cvs (0.60.99.cvs20030426-6) unstable; urgency=low

  * modutils/Makefile.in
    - don't build anything if deactivated

 -- Bastian Blank <waldi@debian.org>  Sat, 24 May 2003 18:57:14 +0200

busybox-cvs (0.60.99.cvs20030426-5) unstable; urgency=low

  * debian/config-*udeb*
    - revert changes (closes: #192717, #192753)
    - readd initrd support (workaround)
    - make init quiet
  * archival/tar.c
    - fix usage of tar -O (upstream) (closes: #193788)

 -- Bastian Blank <waldi@debian.org>  Sat, 24 May 2003 13:25:36 +0200

busybox-cvs (0.60.99.cvs20030426-4) unstable; urgency=low

  * debian/config-*udeb*
    - update to busybox-applets.txt:1.12
  * debian/rules
    - use system instead of arch to determine which config file to use

 -- Bastian Blank <waldi@debian.org>  Fri, 09 May 2003 11:21:13 +0200

busybox-cvs (0.60.99.cvs20030426-3) unstable; urgency=low

  * debian/config-udeb*
    - update to busybox-applets.txt:1.11

 -- Bastian Blank <waldi@debian.org>  Wed, 07 May 2003 10:37:40 +0200

busybox-cvs (0.60.99.cvs20030426-2) unstable; urgency=low

  * modutils/*
    - modprobe failes gracefully if the module is already loaded. (pending)
    - implement depmod. (pending)
  * debian/config*
    - update

 -- Bastian Blank <waldi@debian.org>  Wed, 30 Apr 2003 14:12:36 +0200

busybox-cvs (0.60.99.cvs20030426-1) unstable; urgency=low

  * new cvs version

 -- Bastian Blank <waldi@debian.org>  Sat, 26 Apr 2003 18:33:17 +0200

busybox-cvs (0.60.99.cvs20030420-4) unstable; urgency=low

  * network/libiproute/iproute.c
    - fix usage of ip route flush (upstream)

 -- Bastian Blank <waldi@debian.org>  Fri, 25 Apr 2003 16:48:43 +0200

busybox-cvs (0.60.99.cvs20030420-3) unstable; urgency=low

  * debian/config-*udeb*
    - update to busybox-applets.txt:1.10

 -- Bastian Blank <waldi@debian.org>  Fri, 25 Apr 2003 14:03:23 +0200

busybox-cvs (0.60.99.cvs20030420-2) unstable; urgency=low

  * archival/tar.c, archival/libunarchive/data_extract_all.c
    - unlink files first (upstream patch)

 -- Bastian Blank <waldi@debian.org>  Mon, 21 Apr 2003 12:42:06 +0200

busybox-cvs (0.60.99.cvs20030420-1) unstable; urgency=low

  * new cvs version
  * debian/config*-udeb*
    - add ifconfig/route for easier transition
  * debian/config-net-udeb-i386
    - add logger
  * debian/config-udeb*
    - add uniq

 -- Bastian Blank <waldi@debian.org>  Sun, 20 Apr 2003 21:02:58 +0200

busybox-cvs (0.60.99.cvs20030405-1) unstable; urgency=low

  * new cvs version
  * debian/control
    - add busybox-cvs-net-udeb
  * debian/rules
    - arch depend debs
    - new net-udeb
  * debian/config*
    - cleanup applet list

 -- Bastian Blank <waldi@debian.org>  Sat, 05 Apr 2003 11:44:50 +0200

busybox-cvs (0.60.99.cvs20030221-1) unstable; urgency=low

  * new cvs version
  * enable new applets in udeb

 -- Bastian Blank <waldi@debian.org>  Fri, 21 Feb 2003 23:15:16 +0100

busybox-cvs (0.60.99.cvs20030114-1) unstable; urgency=low

  * new cvs version

 -- Bastian Blank <waldi@debian.org>  Tue, 14 Jan 2003 17:06:43 +0000

busybox-cvs (0.60.99.cvs20030105-1) unstable; urgency=low

  * Fix ip command build failure on ia64 (Closes: #172580
  * Dont build with BSD partition table support in fdisk, fails on m68k 

 -- Glenn McGrath <bug1@home>  Sun,  5 Jan 2003 12:48:05 +1100

busybox-cvs (0.60.99.cvs20030104-2) unstable; urgency=low

  * floppy-retriever needs the cut command in the udeb 

 -- Glenn McGrath <bug1@debian.org>  Sat,  4 Jan 2003 17:13:05 +1100

busybox-cvs (0.60.99.cvs20030104-1) unstable; urgency=low

  * new cvs version
  * Include new applets in the static package
  * Include ash in the udeb

 -- Glenn McGrath <bug1@debian.org>  Sat,  4 Jan 2003 13:39:04 +1100

busybox-cvs (0.60.99.cvs20021214-1) unstable; urgency=low

  * new cvs version
    - udhcp merge.
  * fix location of ip link.

 -- Bastian Blank <waldi@debian.org>  Sat, 14 Dec 2002 13:52:15 +0100

busybox-cvs (0.60.99.cvs20021210-1) unstable; urgency=low

  * new cvs version
    - various upstream fixes found in the last version.
  * busybox-cvs-udeb
    - include readlink and realpath.

 -- Bastian Blank <waldi@debian.org>  Tue, 10 Dec 2002 21:23:40 +0100

busybox-cvs (0.60.99.cvs20021209-2) unstable; urgency=low

  * cleanup scripts/config/ within make clean (closes: #172413)
  * busybox-cvs-udeb
    - include readlink
  * include manpages within busybox-cvs and busybox-cvs-static

 -- Bastian Blank <waldi@debian.org>  Mon, 09 Dec 2002 22:09:52 +0100

busybox-cvs (0.60.99.cvs20021209-1) unstable; urgency=low

  * New cvs version.
    - fix udhcpc for use with ip.
    - klogd supports -c.


=== debian/control ===
Source: busybox-cvs
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Erik Andersen <andersee@debian.org>, Bastian Blank <waldi@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Glenn McGrath <bug1@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: busybox-cvs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: busybox-cvs-static, busybox, busybox-static
Replaces: busybox-cvs-static, busybox, busybox-static
Section: utils
Description: Tiny utilities for small and embedded systems
 BusyBox combines tiny versions of many common UNIX utilities into a single
 small executable. It provides minimalist replacements for the most common
 utilities you would usually find on your desktop system (i.e., ls, cp, mv,
 mount, tar, etc.).  The utilities in BusyBox generally have fewer options than
 their full-featured GNU cousins; however, the options that are included
 provide the expected functionality and behave very much like their GNU
 counterparts.
 .
 This package installs the BusyBox binary but does not install symlinks
 for any of the supported utilities.  You can use /bin/busybox --install
 to install BusyBox to the current directory (you do not want to do this
 in / on your Debian system!).

Package: busybox-cvs-static
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: busybox-cvs, busybox-static, busybox
Replaces: busybox-cvs, busybox-static, busybox
Section: shells
Description: Standalone rescue shell with tons of builtin utilities
 BusyBox combines tiny versions of many common UNIX utilities into a single
 small executable. It provides minimalist replacements for the most common
 utilities you would usually find on your desktop system (i.e., ls, cp, mv,
 mount, tar, etc.).  The utilities in BusyBox generally have fewer options than
 their full-featured GNU cousins; however, the options that are included
 provide the expected functionality and behave very much like their GNU
 counterparts.
 .
 BusyBox-static provides you with a statically linked simple stand alone shell
 that provides all the utilities available in BusyBox.  This package is
 intended to be used as a rescue shell, in the event that you screw up your
 system.  Invoke "busybox sh" and you have a standalone shell ready to save
 your system from certain destruction.  Invoke "busybox", and it will list the
 available builtin commands.

Package: busybox-cvs-udeb
Architecture: any
Depends: ${shlibs:Depends}
Section: debian-installer
Conflicts: busybox-udeb
Enhances: busybox-cvs-net-udeb
Priority: extra
Description: Tiny utilities for the debian-installer
 BusyBox combines tiny versions of many common UNIX utilities into a single
 small executable. It provides minimalist replacements for the most common
 utilities you would usually find on your desktop system (i.e., ls, cp, mv,
 mount, tar, etc.).  The utilities in BusyBox generally have fewer options than
 their full-featured GNU cousins; however, the options that are included
 provide the expected functionality and behave very much like their GNU
 counterparts.
 .
 busybox-udeb is used by the debian-installer, so unless you are working
 on the debian-installer, this package is not for you.  Installing this 
 on your Debian system is a very, very bad idea.  You have been warned.

Package: busybox-cvs-net-udeb
Architecture: i386
Depends: ${shlibs:Depends}
Section: debian-installer
Conflicts: busybox-udeb
Priority: extra
Description: Tiny utilities for the debian-installer network images
 BusyBox combines tiny versions of many common UNIX utilities into a single
 small executable. It provides minimalist replacements for the most common
 utilities you would usually find on your desktop system (i.e., ls, cp, mv,
 mount, tar, etc.).  The utilities in BusyBox generally have fewer options than
 their full-featured GNU cousins; however, the options that are included
 provide the expected functionality and behave very much like their GNU
 counterparts.
 .
 busybox-udeb is used by the debian-installer, so unless you are working
 on the debian-installer, this package is not for you.  Installing this 
 on your Debian system is a very, very bad idea.  You have been warned.
